Name:		im
Version:	143
Release:	1
License:	Distributable
Group:		Applications/Internet
Url:		http://tats.iris.ne.jp/im/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source:		http://tats.iris.ne.jp/im/%{name}-%{version}.tar.gz


Summary:	Internet Message
BuildArch:	noarch
%description
This package provides a series of user interface commands (im*
commands) and backend Perl5 libraries to integrate Email and NetNews
user interface. They are designed to be used both from Mew and on
command line.

The folder style for Mew is exactly the same as that of MH. So, you
can replace MH with this package without any migration
works. Moreover, you are able to operate your messages both by IM and
MH with consistent manner.


%prep
%setup -q

%build
%define MODDIR `perl -MConfig -e 'print $Config{installsitelib}'`
./configure --libdir=%{_sysconfdir} --prefix=%{_prefix} --with-perldir=%{MODDIR}

(cd cnf.im && \
sed -e 's/FromDomain=.*#/FromDomain=#/' \
    -e 's/ToDomain=.*#/ToDomain=#/' SiteConfig > SiteConfig.$$ && \
mv SiteConfig.$$ SiteConfig \
)

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{_prefix} libdir=$RPM_BUILD_ROOT%{_sysconfdir} perldir=$RPM_BUILD_ROOT%{MODDIR} install && \
rm -f rpm-files
echo %{MODDIR}/IM/ >rpm-files

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files -f rpm-files
%defattr(-, root, root)
%doc 00* dot.im man 
%doc -P cnf.im/SiteConfig
%dir %{_sysconfdir}/im
%config %{_sysconfdir}/im/SiteConfig
%{_bindir}/*

%changelog
* Mon Dec 16 2002 Akira TAGOH <tagoh@redhat.com> 143-1
- security fix release.
- use the appropriate macros.
- s/Copyright/License/
- clean up.
- remove a summary and description for ja.

* Wed Jan 24 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 140
- Build with 7.1
- bzip2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Mar 14 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Fri Dec 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- changed Group: Applications/Mail -> Applications/Internet

* Sat Sep 07 1999 Hidetomo Hosono <hide@tomo.gr.jp>
- 1st release

* Wed Jun 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 5th release
- Thanks to MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp> for
  specifying --with-perldir
- added the above acknowledgment to spec file

* Wed Jun 09 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 4th release
- specified --with-perldir

* Mon Sep 21 1998 Kanda Mitsuru <kadna@nn.iij4u.or.jp>
- move libdir(SiteConfig) from /usr/share to /etc

* Sat Sep 12 1998 Kanda Mitsuru <kanda@nn.iij4u.or.jp>
- fixed some problems

* Wed Sep  9 1998 Kanda Mitsuru <kanda@nn.iij4u.or.jp>
- update im-100 

* Sun Jul 19 1998 Kanda Mitsuru <kanda@ultima.cmm.is.tohoku.ac.jp>
- change a prefix from /usr/local to /usr

* Mon Oct 27 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
